Skip to main content

Find Token By Address

Looks up a distribution token by its on-chain contract address and returns a compact token summary (name, symbol, decimals, current price, network).

Request

GET /v2/distributions/tokens/addresses/{address}

Parameters

NameTypeInDescription
addressstringpathRequired. On-chain contract address of the token

Headers

NameDescription
AuthorizationRequired. Bearer token for authentication

Example

curl --request GET \
--url '{{baseUrl}}/v2/distributions/tokens/addresses/0x073c0196e516a0e77b1c804d1825fb1bad23895d' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'

Response

{
"address": "0x073c0196e516a0e77b1c804d1825fb1bad23895d",
"name": "Istanbul Commercial Lease #1",
"symbol": "ICL",
"decimal": 18,
"image": "https://cdn.example.com/tokens/icl.png",
"price": {
"id": "6913307ec95e268b239b2d8b",
"amount": 100.0,
"decimal": 6,
"symbol": "USDT",
"address": "0x073c0196e516a0e77b1c804d1825fb1bad23895d"
},
"network_id": 137
}

Response Fields

FieldTypeDescription
addressstringOn-chain contract address
namestringToken display name
symbolstringToken symbol
decimalintegerToken decimals
imagestringToken image URL
priceobjectCurrent token price {id, amount, decimal, symbol, address}
network_idintegerEVM chain id the token lives on

Status Codes

Status CodeDescription
200Success
400Bad Request - Missing or invalid address
401Unauthorized - Invalid or missing authentication token
404Not Found - No token found for the given address
500Internal Server Error